## CheeseAvatarChooser

CheeseAvatarChooser — A photo capture dialog for avatars

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | cheese_avatar_chooser_new ()
GdkPixbuf * | cheese_avatar_chooser_get_picture ()

## Properties

GdkPixbuf * | pixbuf | Read

## Types and Values

| CheeseAvatarChooser

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── CheeseAvatarChooser

## Implemented Interfaces

CheeseAvatarChooser implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <cheese/cheese-avatar-chooser.h>

## Description

CheeseAvatarChooser presents a simple window to the user for taking a photo for use as an avatar.

## Functions

### cheese_avatar_chooser_new ()

    GtkWidget *
    cheese_avatar_chooser_new (void);

Creates a new CheeseAvatarChooser dialogue.

#### Returns

a CheeseAvatarChooser

### cheese_avatar_chooser_get_picture ()

    GdkPixbuf *
    cheese_avatar_chooser_get_picture (CheeseAvatarChooser *chooser);

Returns the portion of image selected through the builtin cropping tool, after a picture has been captured on the webcam.

#### Parameters

chooser | a CheeseAvatarChooser dialogue |

#### Returns

a GdkPixbuf object, or `NULL` if no picture has been taken yet

## Types and Values

### CheeseAvatarChooser

    typedef struct _CheeseAvatarChooser CheeseAvatarChooser;

Use the accessor functions below.

## Property Details

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

A GdkPixbuf object representing the cropped area of the picture, or `NULL`.

Owner: CheeseAvatarChooser

Flags: Read